from installclass import BaseInstallClass
from translate import *
import os
import iutil
from partitioning import *

class InstallClass(BaseInstallClass):

    name = N_("Server")
    pixmap = "server.png"
    sortPriority = 10

    def setSteps(self, dispatch):
	BaseInstallClass.setSteps(self, dispatch);
	dispatch.skipStep("authentication")

    def setGroupSelection(self, comps):
	BaseInstallClass.__init__(self, comps)
        for comp in comps:
	    comp.unselect()
	self.showGroups(comps, 
			  [ ("Internet Server(DNS/WWW)", 1),
			    ("GNOME", 0),
			    ("X Window System", 0),
			    ("Mail/WWW/News Tools", 0),
			    "File Server(NFS/SMB)",
                            "Data Base(PostgreSQL)",
			    "PPPoE client"
			    ])
	comps["Base"].select()
	comps["Server"].select()

    def setInstallData(self, id):
	BaseInstallClass.setInstallData(self, id)

        autorequests = [ ("/", None,1300, None, 1, 1) ]

        bootreq = getAutopartitionBoot()
        if bootreq:
            autorequests.append(bootreq)
        
        (minswap, maxswap) = iutil.swapSuggestion()
        autorequests.append((None, "swap", minswap, maxswap, 1, 1))

        id.partitions.autoClearPartType = CLEARPART_TYPE_ALL
        id.partitions.autoClearPartDrives = []
        id.partitions.autoPartitionRequests = autoCreatePartitionRequests(autorequests)

    def __init__(self, expert):
	BaseInstallClass.__init__(self, expert)
